import { h } from "@stencil/core";
/**
 * This component is deprecated and will be removed in a future version of
 * Lime Elements. Please use CSS for your flexible container needs 🙂
 *
 * @deprecated Please use CSS instead https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_grid_layout
 * @private
 * @slot - Grid content
 */
export class Grid {
    componentWillLoad() {
        console.warn('limel-grid is deprecated, please use CSS instead: https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_grid_layout');
    }
    render() {
        return h("slot", { key: '7248c244edbe50a29b32b327a8317d7be106bd18' });
    }
    static get is() { return "limel-grid"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["grid.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["grid.css"]
        };
    }
}
